#!/usr/bin/perl

use File::ReadBackwards;

# $ARGV[0] 	original proof
# $ARGV[1] 	proof with reversed elements

my $bw = File::ReadBackwards->new($ARGV[0]) or die "can't read $ARGV[0] $!";
my $new_proof = $ARGV[1];

open PROOF, ">$new_proof";
print PROOF "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>\n<proof>\n";

#$line = $bw->readline;
#print STDOUT $line;

while( defined( $line = $bw->readline ) ) {
	next if $line =~ m/^(<p|<\/p|<\?xml)/; 
	print PROOF $line;
}

print PROOF "</proof>";
close PROOF;
