package edu.toronto.cs.info;

import java.util.ArrayList;
import java.util.BitSet;

public class Clause {

	public ArrayList<Integer> variables = new ArrayList<Integer>();

//	public ParentPair parents = new ParentPair();
	
	public Clause leftParent;
	public Clause rightParent;
	public int reductionVariable;

	
//	public ArrayList<Clause> children = new ArrayList<Clause>();
	public int unprocessedChildren;
	public int index;

	public BitSet peripheraliyLabels;
	public BitSet inBothLabel;
	public boolean processed;

	public int mpInfo;
	
	public Clause(){
		
	}
	
	public Clause(ArrayList<Integer> variables, Clause leftParent, Clause rightParent, int reductionVariable){
		this.variables = variables;
		this.leftParent = leftParent;
		this.rightParent = rightParent;
		this.reductionVariable = reductionVariable;
	}

	public Clause(ArrayList<Integer> variables, int mpInfo, Clause leftParent, Clause rightParent, int reductionVariable){
		this.variables = variables;
		this.leftParent = leftParent;
		this.rightParent = rightParent;
		this.reductionVariable = reductionVariable;
		this.mpInfo = mpInfo;
	}

	public Clause(ArrayList<Integer> variables, int mpInfo, Clause leftParent, Clause rightParent, int reductionVariable, int unprocessedChildren, int index){
		this.variables = variables;
		this.leftParent = leftParent;
		this.rightParent = rightParent;
		this.reductionVariable = reductionVariable;
		this.mpInfo = mpInfo;
		this.unprocessedChildren = unprocessedChildren;
	}

	public boolean isRoot(){
		return (leftParent == null && rightParent == null);
	}

/*	public int getUnprocessedChildren() {
		return unprocessedChildren;
	}

	public void setUnprocessedChildren(int unprocessedChildren) {
		this.unprocessedChildren = unprocessedChildren;
	}
*/	
}

